Bug 28911 - Не работает сетевой адаптер на RTL8111/8168
: Не работает сетевой адаптер на RTL8111/8168
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-def)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 27685
  Show dependency tree
 
Reported: 2013-04-30 08:41 by
Modified: 2013-06-21 11:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-04-30 08:41:05
http://forum.altlinux.org/index.php/topic,28973.0.html

При загрузке с LiveCD или после установки дистрибутива на жёсткий диск, сеть
либо вообще не работает, либо постоянно откл/вкл. Нормально с сети ничего не
скачать, куча задержек. В ЦУС карточка видна. Иногда получает IP, иногда нет.

$ lspci
RTL8111/8168

Какие нужны ещё подробности --предоставлю.
Спасибо.
------- Comment #1 From 2013-04-30 09:30:43 -------
Самое главное забыл: на Simply 6.0.1 всё прекрасно работает.
------- Comment #2 From 2013-04-30 11:48:29 -------
2boyarsh : Это, пожалуй, самая распространенная проблема в бетах дистрибутивов.
Простое решение: устанавливать по умолчанию второе ядро (led-ws) для загрузки с
него в случае проблем.
Есть ли иные предложения?
------- Comment #3 From 2013-05-08 02:44:13 -------
Инструкция:
http://unixblogger.wordpress.com/2011/10/18/the-pain-of-an-realtek-rtl8111rtl8168-ethernet-card/
Загрузка свежего драйвера:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
(качать с US1)

Проблема в том, что надо заносить драйвер ядра r8169 в blacklist
------- Comment #4 From 2013-05-08 09:57:21 -------
> Загрузка свежего драйвера:
> http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
> (качать с US1)
Он у нас собран как kernel-modules-r8168-flavour

> Проблема в том, что надо заносить драйвер ядра r8169 в blacklist
Это происходит при установке kernel-modules-r8168 автоматически.

Работает ли сетевая карта с kernel-modules-r8168?
------- Comment #5 From 2013-05-08 14:48:21 -------
Не вижу, почему эта бага зависит от 28390. Там иная проблема.
------- Comment #6 From 2013-05-10 07:45:17 -------
altlinux-6.994.0_beta20130428-simply-x86_64-live-dvd5.iso + обновления
(10.05.2013)

$ rpm -qa *r8168*
kernel-modules-r8168-std-def-8.035.00-alt3.198668.1
r8168-blacklist-8.035.00-alt2

$ lspci | grep -i net
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI
Express Gigabit Ethernet controller (rev 02)

Работает, потерь пакетов не заметил.
Спасибо.
------- Comment #7 From 2013-05-10 10:27:48 -------
Спасибо, закрываю.
------- Comment #8 From 2013-05-13 16:41:11 -------
(В ответ на комментарий №6)
> Работает, потерь пакетов не заметил.
А в LiveCD? А в установщике?
------- Comment #9 From 2013-05-13 17:41:24 -------
> А в LiveCD? А в установщике?
Дак, а без этих пакетов не работало... А что есть сборки с этим модулем ? Какие
? Дайте, пожалуйста, ссылку -- я обязательно проверю.
------- Comment #10 From 2013-05-13 17:47:33 -------
(В ответ на комментарий №9)
> > А в LiveCD? А в установщике?
> Дак, а без этих пакетов не работало... А что есть сборки с этим модулем ?
В том-то и дело, что скорее всего нет, т.к. он просто-напросто не попадает в
модули для propagator.

P.S.
Хотя, интересно, сколько проверял, у меня в установщике работает с r8169,
который не работает в установленной системе.
------- Comment #11 From 2013-05-13 18:02:32 -------
(В ответ на комментарий №10)
> В том-то и дело, что скорее всего нет, т.к. он просто-напросто не попадает в
> модули для propagator.
> Хотя, интересно, сколько проверял, у меня в установщике работает с r8169,
> который не работает в установленной системе.
Как тогда быть, чтобы поверить ?
У меня на одном СП с такой же карточкой работает (проверял только в LiveCD), а
на втором без установки модулей никак
http://forum.altlinux.org/index.php/topic,28937.msg202409.html#msg202409
------- Comment #12 From 2013-05-13 18:11:53 -------
Проблема с r8169 никуда не делась, собственно (см. #28390, например).
И r8168 в общем случае не поможет, т.к. существуют карты, которые он не
поддерживает (но с r8169 работают хреново или не работают совсем). А также
существуют карты, с которыми прекрасно работает r8169.
------- Comment #13 From 2013-05-20 08:42:22 -------
(В ответ на комментарий №6)
> altlinux-6.994.0_beta20130428-simply-x86_64-live-dvd5.iso + обновления
> (10.05.2013)
> 
> $ rpm -qa *r8168*
> kernel-modules-r8168-std-def-8.035.00-alt3.198668.1
> r8168-blacklist-8.035.00-alt2
> 
> $ lspci | grep -i net
> 02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168 PCI
> Express Gigabit Ethernet controller (rev 02)
> 
> Работает, потерь пакетов не заметил.
> Спасибо.
Установил заново (переформатировал диск полностью), 6.995.0 в режиме
"Установка" со всеми пакетами.
В инсталляторе сетёвка не работала, после установки сеть не работала.
Сделал rmmod r8169, потом modprobe r8169 -- не работает. Перезагрузил ПК, после
перезагрузки заработала. Может совпадение ? Модуль r8168 не устанавливал.

LiveCD 6.995.0 проверил на ASRock G41M-S3
$ lspci | grep -i net
01:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E
PCI Express Fast Ethernet controller (rev 02)
Сеть тоже не работает, постоянно переподключается. lsmod говорит, что загружен
модуль r8169.
------- Comment #14 From 2013-06-13 10:54:46 -------
тоже словил эту же проблему на simply с ядром 3.8.13-std-def
драйвер r8169 - по DHCP запрос уходит, ответ получает, потом dhcp клиент
отваливается по таймауту. Ручное выставление адреса не помогает.
------- Comment #15 From 2013-06-13 11:22:04 -------
на 3.8.13.2-std-def тоже отлично воспроизводится. Reopen.

Проверить можно в 130-й у меня на столе с LiveFlash на мониторе.
------- Comment #16 From 2013-06-13 11:28:17 -------
(В ответ на комментарий №15)
> на 3.8.13.2-std-def тоже отлично воспроизводится. Reopen.
> 
> Проверить можно в 130-й у меня на столе с LiveFlash на мониторе.

А с r8168 (см. выше) на этой системе работает?
См. комментарий sem@ https://bugzilla.altlinux.org/show_bug.cgi?id=28911#c12

Если не работает, то есть на чем тестировать.
------- Comment #17 From 2013-06-13 11:30:15 -------
У меня тоже на столе лежит недобук, на котором это воспроизводится.
Несчастливцам предлагается использовать ядро led-ws (оно даже есть в 
install-версии на диске). С ним должно работать.
------- Comment #18 From 2013-06-13 11:39:27 -------
(В ответ на комментарий №17)
> У меня тоже на столе лежит недобук, на котором это воспроизводится.
> Несчастливцам предлагается использовать ядро led-ws (оно даже есть в 
> install-версии на диске). С ним должно работать.

Говорят, что работает на Ubuntu 13.04 "из коробки". Прошу проверить и если так,
глянуть, как они это сделали.
------- Comment #19 From 2013-06-13 12:20:28 -------
В Ubuntu на r8169 (на 13.04 всё работает, мы проверили) есть один патч. В LKML
https://lkml.org/lkml/2013/4/18/86
------- Comment #20 From 2013-06-13 12:32:00 -------
У меня как раз ситуация втом, что хост-систему я не смогу удалить - только
Live.
Поэтому Live, в котором не работает сеть приводит меня в уныние.
А у нас есть Simply Live с ядром led-ws  ?
------- Comment #21 From 2013-06-13 12:35:15 -------
(В ответ на комментарий №19)
> В Ubuntu на r8169 (на 13.04 всё работает, мы проверили) есть один патч. В LKML
> https://lkml.org/lkml/2013/4/18/86

Этот патч есть у нас в ядрах 3.8 в p7.
------- Comment #22 From 2013-06-13 12:41:18 -------
Может быть кто-то поотлаживает эту проблему и найдёт ошибку ?

Я бы дал удалённый доступ, но сеть не работает ;)
------- Comment #23 From 2013-06-13 14:33:07 -------
(In reply to comment #22)
> Может быть кто-то поотлаживает эту проблему и найдёт ошибку ?
> Я бы дал удалённый доступ, но сеть не работает ;)
Есть USB ethernet (который и вообще полезная штука на хозяйстве, но могу и свой
одолжить при случае).  

PS: по wifi см. тж. bug #29070.

(In reply to comment #20)
> А у нас есть Simply Live с ядром led-ws  ?
У меня с led-ws и lks-wks примерно зимой начались одинаковые проблемы
собираемости первой стадии, в mkmodpack получаю пустое значение MODULES.  Сходу
не починилось, второй подход никак не соберусь сделать.  Так что свежего образа
нет, тем более Simply.
------- Comment #24 From 2013-06-13 16:27:34 -------
(В ответ на комментарий №22)
> Может быть кто-то поотлаживает эту проблему и найдёт ошибку ?
Тут полкабинета это копает!

Workaround: установить un-def или led-ws. В любом std-def (в т.ч. из Sisyphus)
не работает.
------- Comment #25 From 2013-06-13 21:50:38 -------
другое ядро поставить невозможно - это live-flash.
------- Comment #26 From 2013-06-14 04:58:16 -------
(В ответ на комментарий №24)
> (В ответ на комментарий №22)
> > Может быть кто-то поотлаживает эту проблему и найдёт ошибку ?
> Тут полкабинета это копает!
> 
> Workaround: установить un-def или led-ws. В любом std-def (в т.ч. из Sisyphus)
> не работает.

firmware добавлять пробовали? А именно rtl_nic/* ?
------- Comment #27 From 2013-06-14 17:09:24 -------
> firmware добавлять пробовали? А именно rtl_nic/* ?
Это firmware всегда присутствует в дистрибутивах, собираемых m-p-d
------- Comment #28 From 2013-06-14 17:54:37 -------
(В ответ на комментарий №27)
> > firmware добавлять пробовали? А именно rtl_nic/* ?
> Это firmware всегда присутствует в дистрибутивах, собираемых m-p-d

И в /var/log/kernel/warnings нет чего-то такого:
... unable to load firmware patch rtl_nic/ ...

?
------- Comment #29 From 2013-06-18 00:41:42 -------
На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
------- Comment #30 From 2013-06-18 12:50:26 -------
(В ответ на комментарий №29)
> На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.

Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
днях?
------- Comment #31 From 2013-06-18 13:11:48 -------
(В ответ на комментарий №30)
> (В ответ на комментарий №29)
> > На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> > Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
> 
> Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
> днях?

Тогда непонятно, почему оно работало на un-def .
Неужели ничего в config не меняли?
------- Comment #32 From 2013-06-18 13:22:07 -------
(В ответ на комментарий №30)
> (В ответ на комментарий №29)
> > На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> > Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
> 
> Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
> днях?

Прямо сейчас проверить не могу, только поздно вечером. Но насколько я смотрел -
именно эта модель сетевой не использовала firmware. В исходном коде модуля я
тоже не вижу использование firmware для этой сетевой, но это взгляд на вскидку.
------- Comment #33 From 2013-06-18 13:45:22 -------
(В ответ на комментарий №31)
> (В ответ на комментарий №30)
> > (В ответ на комментарий №29)
> > > На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> > > Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
> > 
> > Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
> > днях?
> 
> Тогда непонятно, почему оно работало на un-def .
> Неужели ничего в config не меняли?
Ничего не менял. Хуже того, просмотр лога изменений между 3.9.5 и 3.9.6 не даёт
ни малейшего предатавления о том, почему оно вдруг в 3.9.6 заработало.
------- Comment #34 From 2013-06-18 13:49:43 -------
Антон, а это не смотрел?
https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Fpatch-3.9.6.xz;z=254
------- Comment #35 From 2013-06-18 14:22:54 -------
(In reply to comment #34)
> Антон, а это не смотрел?
> https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Fpatch-3.9.6.xz;z=254

Это коммит v3.8.13~47, он же коммит v3.9.2~53.
------- Comment #36 From 2013-06-18 14:33:37 -------
(В ответ на комментарий №34)
> Антон, а это не смотрел?
> https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Fpatch-3.9.6.xz;z=254

Этот патч давно присутствует и в 3.8  и в 3.9
------- Comment #37 From 2013-06-18 14:45:12 -------
(In reply to comment #36)
> (В ответ на комментарий №34)
> > Антон, а это не смотрел?
> > https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Fpatch-3.9.6.xz;z=254
> 
> Этот патч давно присутствует и в 3.8  и в 3.9

этот патч добавляет регрессию, см b423e9ae49d78ea3f53b131c8d5a6087aed16fd6
------- Comment #38 From 2013-06-18 14:58:24 -------
(В ответ на комментарий №37)

> > Этот патч давно присутствует и в 3.8  и в 3.9
> 
> этот патч добавляет регрессию, см b423e9ae49d78ea3f53b131c8d5a6087aed16fd6
Занятно. Но как оно тогда работает в 3.9.6 ?!? Всё чудесатее и чудесатее.
------- Comment #39 From 2013-06-18 15:28:02 -------
(В ответ на комментарий №38)
> (В ответ на комментарий №37)
> 
> > > Этот патч давно присутствует и в 3.8  и в 3.9
> > 
> > этот патч добавляет регрессию, см b423e9ae49d78ea3f53b131c8d5a6087aed16fd6
> Занятно. Но как оно тогда работает в 3.9.6 ?!? Всё чудесатее и чудесатее.

Оно работает нестабильно. sem@ сообщил, что un-def у него вчера не работало.
------- Comment #40 From 2013-06-18 15:53:31 -------
(В ответ на комментарий №37)
> (In reply to comment #36)
> > (В ответ на комментарий №34)
> > > Антон, а это не смотрел?
> > > https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Fpatch-3.9.6.xz;z=254
> > 
> > Этот патч давно присутствует и в 3.8  и в 3.9
> 
> этот патч добавляет регрессию, см b423e9ae49d78ea3f53b131c8d5a6087aed16fd6
Увы, с этим коммито лучше не стало.
------- Comment #41 From 2013-06-19 11:28:34 -------
(В ответ на комментарий №30)
> (В ответ на комментарий №29)
> > На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> > Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
> 
> Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
> днях?

Все чудесатее и чудесатее. Радость оказалась преждевременной.
Вчера вечером и сегодня утром проверил работу Ethernet и он НЕ работал выдавая
следующий трейс. НО: уже трижды подряд перегружаюсь и оно работает. До этого
грузанулся а led-ws. Выключил питание - включил, опять трейс и не работает.
Гружусь под 3.4.49-led-ws-alt3 запускаю несколько пингов, перегружаюсь в
3.9.6-sdt-def-alt1 и оно работает. Учитывая что для обновления до 3.9.6 я так
же грузился в led-ws то может тут закономерность?

Jun 19 14:50:02 atom-alt kernel: [   11.832071] i915: fixme: max PWM is zero
Jun 19 14:50:19 atom-alt kernel: [   36.832015] ------------[ cut here
]------------
Jun 19 14:50:20 atom-alt kernel: [   36.832033] WARNING: at
net/sched/sch_generic.c:255 dev_watchdog+0x1f7/0x200()
Jun 19 14:50:20 atom-alt kernel: [   36.832037] Hardware name: U90/U100
Jun 19 14:50:20 atom-alt kernel: [   36.832046] Modules linked in: af_packet
binfmt_misc ext4 crc16 jbd2 fuse ums_realtek usb_storage iTCO_wdt gpio_ich
iTCO_vendor_support msi_wmi snd_hda_codec_realtek msi_laptop coretemp hwmon
sparse_keymap rfkill dm_mod snd_hda_intel snd_hda_codec i915 microcode
snd_hwdep snd_pcm psmouse pcspkr snd_page_alloc snd_timer drm_kms_helper
r8187se(C) snd uhci_hcd drm ehci_pci lpc_ich i2c_i801 ehci_hcd r8169 soundcore
i2c_algo_bit intel_agp usbcore eeprom_93cx6 intel_gtt usb_common mii agpgart
wmi ac thermal battery video button acpi_cpufreq mperf processor ipv6 autofs4
ext2 mbcache sd_mod crc_t10dif ata_generic pata_acpi serio_raw evdev ata_piix
libata scsi_mod ide_pci_generic ide_core
Jun 19 14:50:20 atom-alt kernel: [   36.832159] Pid: 290, comm: kworker/0:1
Tainted: G         C   3.9.6-std-def-alt1 #1
Jun 19 14:50:20 atom-alt kernel: [   36.832163] Call Trace:
Jun 19 14:50:20 atom-alt kernel: [   36.832175]  [<c10384cd>]
warn_slowpath_common+0x6d/0xa0
Jun 19 14:50:20 atom-alt kernel: [   36.832184]  [<c13827e7>] ?
dev_watchdog+0x1f7/0x200
Jun 19 14:50:20 atom-alt kernel: [   36.832191]  [<c13827e7>] ?
dev_watchdog+0x1f7/0x200
Jun 19 14:50:20 atom-alt kernel: [   36.832199]  [<c103857e>]
warn_slowpath_fmt+0x2e/0x30
Jun 19 14:50:20 atom-alt kernel: [   36.832206]  [<c13827e7>]
dev_watchdog+0x1f7/0x200
Jun 19 14:50:20 atom-alt kernel: [   36.832220]  [<c1045ca8>]
call_timer_fn+0x28/0x100
Jun 19 14:50:20 atom-alt kernel: [   36.832228]  [<c1084f4b>] ?
ktime_get+0x4b/0x110
Jun 19 14:50:20 atom-alt kernel: [   36.832235]  [<c1046ba5>] ?
cascade+0x55/0x70
Jun 19 14:50:20 atom-alt kernel: [   36.832243]  [<c13825f0>] ?
dev_graft_qdisc+0x70/0x70
Jun 19 14:50:20 atom-alt kernel: [   36.832250]  [<c10476bc>]
run_timer_softirq+0x1bc/0x260
Jun 19 14:50:20 atom-alt kernel: [   36.832258]  [<c1022376>] ?
lapic_next_event+0x16/0x20
Jun 19 14:50:20 atom-alt kernel: [   36.832266]  [<c108b555>] ?
clockevents_program_event+0x95/0x140
Jun 19 14:50:20 atom-alt kernel: [   36.832274]  [<c13825f0>] ?
dev_graft_qdisc+0x70/0x70
Jun 19 14:50:20 atom-alt kernel: [   36.832283]  [<c10407c3>]
__do_softirq+0xb3/0x200
Jun 19 14:50:20 atom-alt kernel: [   36.832291]  [<c1040a55>]
irq_exit+0x85/0x90
Jun 19 14:50:20 atom-alt kernel: [   36.832298]  [<c1022ae9>]
smp_apic_timer_interrupt+0x59/0x90
Jun 19 14:50:20 atom-alt kernel: [   36.832306]  [<c10654a3>] ?
update_rq_clock+0x33/0x1b0
Jun 19 14:50:20 atom-alt kernel: [   36.832315]  [<c141145d>]
apic_timer_interrupt+0x2d/0x34
Jun 19 14:50:20 atom-alt kernel: [   36.832323]  [<c10648af>] ?
finish_task_switch+0x3f/0xd0
Jun 19 14:50:20 atom-alt kernel: [   36.832331]  [<c140fa03>]
__schedule+0x373/0x810
Jun 19 14:50:20 atom-alt kernel: [   36.832339]  [<c1052e38>] ?
__queue_delayed_work+0x78/0x150
Jun 19 14:50:20 atom-alt kernel: [   36.832355]  [<f839777d>] ?
rtl_unlock_work+0xd/0x10 [r8169]
Jun 19 14:50:20 atom-alt kernel: [   36.832368]  [<f8397877>] ?
rtl_task+0x57/0x80 [r8169]
Jun 19 14:50:20 atom-alt kernel: [   36.832375]  [<c1051f5b>] ?
process_one_work+0x18b/0x360
Jun 19 14:50:20 atom-alt kernel: [   36.832383]  [<c140ff2e>]
schedule+0x1e/0x50
Jun 19 14:50:20 atom-alt kernel: [   36.832390]  [<c1053691>]
worker_thread+0x1a1/0x360
Jun 19 14:50:20 atom-alt kernel: [   36.832398]  [<c10534f0>] ?
manage_workers+0x290/0x290
Jun 19 14:50:20 atom-alt kernel: [   36.832406]  [<c1057ecf>] kthread+0x8f/0xa0
Jun 19 14:50:20 atom-alt kernel: [   36.832413]  [<c1060000>] ?
cpu_shares_read_u64+0x10/0x10
Jun 19 14:50:20 atom-alt kernel: [   36.832422]  [<c1417af7>]
ret_from_kernel_thread+0x1b/0x28
Jun 19 14:50:20 atom-alt kernel: [   36.832430]  [<c1057e40>] ?
kthread_create_on_node+0xc0/0xc0
Jun 19 14:50:20 atom-alt kernel: [   36.832435] ---[ end trace 1d9e338e108db1aa
]---
------- Comment #42 From 2013-06-19 13:05:18 -------
(В ответ на комментарий №41)
> (В ответ на комментарий №30)
> > (В ответ на комментарий №29)
> > > На ядре 3.9.6-std-def-alt1 Ethernet (RTL8101E/RTL8102E модуль r8169) заработал.
> > > Прогнал несколько больших файлов (>1Gb), пинги, проблем не заметил.
> > 
> > Не может ли это быть связано с обновлением firmware-linux, которое тоже было на
> > днях?
> 
> Все чудесатее и чудесатее. Радость оказалась преждевременной.
> Вчера вечером и сегодня утром проверил работу Ethernet и он НЕ работал выдавая
> следующий трейс. НО: уже трижды подряд перегружаюсь и оно работает. До этого
> грузанулся а led-ws. Выключил питание - включил, опять трейс и не работает.
> Гружусь под 3.4.49-led-ws-alt3 запускаю несколько пингов, перегружаюсь в
> 3.9.6-sdt-def-alt1 и оно работает. Учитывая что для обновления до 3.9.6 я так
> же грузился в led-ws то может тут закономерность?

Да, наше тестирование показывыает то же. После холодной перезагрузки ничего,
кроме led-ws и убунтушного ядра не работает. После засыпания и просыпания
начинает работать.
------- Comment #43 From 2013-06-19 13:51:47 -------
попробуйте добавить в командную строку ядра: pcie_aspm=off
------- Comment #44 From 2013-06-19 15:57:23 -------
(В ответ на комментарий №43)
> попробуйте добавить в командную строку ядра: pcie_aspm=off

Если имеется в виду "холодный" старт, то без изменений, так же валиться трейс.

Проверил на 3.9.5 за одно эффект такой же - после загрузки с led-ws сеть
работает.
------- Comment #45 From 2013-06-20 17:30:25 -------
В задании #99032 есть ядро, собранное с почти убунтовским конфигом и оно у меня
на этом чипе работает нормально. Проверьте, пожалуйста.
Ищу значимые различия...
------- Comment #46 From 2013-06-21 11:35:36 -------
kernel-image-std-def-1:3.8.13.3-alt1.M70P.1 -> p7:

* Fri Jun 21 2013 Anton V. Boyarshinov <boyarsh@altlinux>
1:3.8.13.3-alt1.M70P.1
- 3.8.13.3

* Fri Jun 21 2013 Anton V. Boyarshinov <boyarsh@altlinux>
1:3.8.13.2-alt1.M70P.3
- r8169 really fixed (closes #28911)
------- Comment #47 From 2013-06-21 11:42:32 -------
(В ответ на комментарий №46)
> kernel-image-std-def-1:3.8.13.3-alt1.M70P.1 -> p7:
> 
> * Fri Jun 21 2013 Anton V. Boyarshinov <boyarsh@altlinux>
> 1:3.8.13.3-alt1.M70P.1
> - 3.8.13.3
> 
> * Fri Jun 21 2013 Anton V. Boyarshinov <boyarsh@altlinux>
> 1:3.8.13.2-alt1.M70P.3
> - r8169 really fixed (closes #28911)

Ура?
Прошу проверять.ю
------- Comment #48 From 2013-06-21 11:46:18 -------
simply новый соберите с ним, пожалуйста.